Bug 90020 - rp-pppoe-3.5-2 problems: display, remove
rp-pppoe-3.5-2 problems: display, remove
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rp-pppoe (Show other bugs)
9
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-01 05:46 EDT by udippel
Modified: 2015-01-07 19:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-01 11:04:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description udippel 2003-05-01 05:46:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.10 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
During upgrade from 7.2 to 9, rp-pppoE-3.5-1 was also upgraded to rp-pppoE-3.5-2.
Bad consequences: Even though the link is set to 'no' demand and it connects at
startup, adsl-status will keep telling me:'Note: you have enabled
demand-connection adsl-status may be inaccurate'. 84808 mentions this.
Another trouble: I had it a few times that adsl-status told me that no link was
up, even though it was, before and after the request for status. ppp0 active,
with a display of 'inactive'. Never had either with the previous version. Also:
no init-script (compared to 3.5-1), overall not convincing. Solution:
rpm -e rp-pppoE-3.5-2
succeeds. But only formally: After reboot, it still keeps on bringing up ppp0,
connecting. No way to disconnect. This defies all logic: you remove a program
and it still runs after boot. I installed the non-"butchered" (Roaring Penguin)
version, also no success. It cannot stop, cannot give a status. Obviously, the
RedHat-version is very incompatibel with the RP-version ? (Better call it
rh-pppoE, then !?)
Finally found that it starts automatically from the 'network-scripts' directory
at boot-time ('Bringing up ppp0').
This remains very questionable. Firstly, a DSL-link should still be under user
control; this control must not give out wrong messages. We should still offer
some chkconfig / ntsysv for this link. It is not like just providing eth0 or so;
it is a complete link that is set up. A script in /etc/rc.d/init.d/ seems most
appropriate. And finally, when a user de-installs pppoE we don't expect it to
keep starting at boot, do we.
Now I'm trying my best to roll-back to the 3.5-1; but find a lot of problems,
that hadn't been there before the upgrade to 3.5-2. 
Maybe you add some description about the changes and how to go back ? And / or a
script to *really* remove the whole set of files and settings ?

Thanks !

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Upgrade from 3.5-1 to 3.5-2 (automatically done during upgrade to RH9)
2.
3.
    

Actual Results:  inconsistent messages, no way to remove pppoE, no way to roll back.

Expected Results:  Improvement of an earlier version, not degrading.

Additional info:

(Note: I am in no way affiliated with RP. I only found their version
straightforward and without flaws from the very first day. Things that I cannot
say about the RH-version.)
Comment 1 Ngo Than 2003-09-01 11:04:06 EDT
There was a big change in network configuration since RHL 8.0. RHL 8/9 has
a new config tools, redhat-config-network. It has a graphical frontend and
allows the user to setup network easier. The Handling of DSL Start/stop is now
diffent. To start/stop DSL, you have to use for example ifup/ifdown ppp0.

The /etc/ppp/pppoe.conf needs to be converted into new config file format for
working correct in RHL 8/9. In normal case, if someone upgrades from 7.2 to
8.0/9, it should be done by default. In your case, you have upgraded your own
rp-pppoe-3.5 on RHL 7.2 before upgrading to RHL 9. This caused that the trigger
in own rp-pppoe does not work.




Note You need to log in before you can comment on or make changes to this bug.